Skip to main content
GET
/
v1
/
projects
/
{project_id}
/
deployments
/
{deployment_id}
Get Single Deployment
curl --request GET \
  --url https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}
import requests

url = "https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {
    "id": "<string>",
    "predictionUrl": "<string>",
    "name": "<string>",
    "modelId": "<string>",
    "threshold": 123
  }
}
{
"message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

apikey
string | null

Path Parameters

deployment_id
string<uuid4>
required

Query Parameters

timeout
integer | null
default:60

Response

Successful Response

data
DeploymentItem · object | null
required